#!/bin/sh

set -e

trap cleanup_exit INT TERM EXIT

cleanup_exit()
{
  rm -f *.list *.key
}

export LANG=C

DISTRIBUTION=$(basename ${PWD} | cut -f1 -d '-')
ARCHITECTURE=$(basename ${PWD} | cut -f2 -d '-')
#PROJECT=$(basename ${PWD} | cut -f3 -d '-')-$(basename ${PWD} | cut -f4 -d '-')
PROJECT=tf-a-next

# This image is a fork of jammy-amd64-tf-a-build. Copy all files from there,
# unless already exists here.
for f in $(ls -1 ../jammy-amd64-tf-a-build/*); do
    if [ ! -e $(basename $f) ]; then
        cp -a $f .
    fi
done

cp -a ../setup-sshd .

# Copy armclang toolchains required for the build (previously fetched
# from s3://trustedfirmware-private/armclang/ by build harness).
cp ../DS500-BN-00026-r5p0-11rel0.tar.gz ../DS500-BN-00026-r5p0-19rel0.tar.gz .
cp ../ARMCompiler6.18_standalone_linux-x86_64.tar.gz .

image=trustedfirmware/ci-${ARCHITECTURE}-${PROJECT}-ubuntu:${DISTRIBUTION}${DOCKER_SUFFIX}
docker build --pull --no-cache --tag=$image .
echo $image > .docker-tag
